Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List

Prev Next
Post
/list/tag

Used to get a list of the tags that have been reported in your project, for example "home_page", "news_page", "checkout_btn", etc.

For more information on attributes and tags review our dedicated guide.

Body parameters
Get tags with pagination
{
  "apptoken": "YOUR_APPTOKEN",
  "order": [
    "id ASC"
  ],
  "select": [
    "id",
    "title"
  ],
  "condition": [
    [
      "id",
      ">",
      "3113692"
    ]
  ],
  "limit": "50",
  "offset": "0"
}
object
apptoken
string Required

Your App token

order
Array of string

Order the results in either ascending or descending order based on any of the attributes, eg. ["id ASC"] or ["id DESC"]

string
select
Array of string

Select what attributes to return, eg. ["id", "title"]

string
condition
string (json)

Filter the results based on some criteria, eg. [ ["id", ">", 3113692] ]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "id": "42526382",
      "project_id": "PROJECT_ID",
      "title": "abandoned_cart",
      "attribute_client": "0",
      "attribute_profile": "1",
      "type": "0",
      "is_deleted": "0"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
id
integer
Default0
Example42526382
project_id
string
ExamplePROJECT_ID
title
string
Exampleabandoned_cart
attribute_client
integer
Default0
Example0
attribute_profile
integer
Default0
Example1
type
integer
Default0
Example0
is_deleted
integer
Default0
Example0
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string